Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUFormatEditorPropDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.jbo.uicli.jui.JUTableDef.JUEditorPropDef
oracle.jbo.uicli.jui.JUFormatEditorPropDef`

public class JUFormatEditorPropDef
extends JUTableDef.JUEditorPropDef

Field Summary
`static int` | `DATE_FORMATTER`
`static int` | `DEFAULT_FORMATTER`
`static int` | `MASK_FORMATTER`
`static int` | `NUMBER_FORMATTER`
`static java.lang.String` | `PNAME_ActiveFormatter`
`static int` | `REGEXP_FORMATTER`

Fields inherited from class oracle.jbo.uicli.jui.JUTableDef.JUEditorPropDef
`ELEMENT_NAME, PNAME_COMBOBOX_TYPE, PNAME_DTClass, PNAME_EditorName, PNAME_FORMATTTED_TEXTFIELD_TYPE, PNAME_RTClass, PNAME_SPINNER_TYPE`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JUFormatEditorPropDef()`

Method Summary
`int` | `getActiveFormatter()`
`JUFormattedTextFieldDef.DateFormatDef` | `getDateFormatDef()`
`java.lang.String` | `getEditorName()`
`JUFormattedTextFieldDef.MaskFormatDef` | `getMaskFormatDef()`
`JUFormattedTextFieldDef.NumberFormatDef` | `getNumberFormatDef()`
`JUFormattedTextFieldDef.RegExpFormatDef` | `getRegExpFormatDef()`
`JUTableCellEditor` | `getTableCellEditor()`
`JUTableCellRenderer` | `getTableCellRenderer()`
`void` | `init(java.util.HashMap initValues)`
`void` | `loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)`
`protected void` | `retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement, java.util.HashMap valueTab)`
`void` | `setActiveFormatter(int activeFormatter)`
`void` | `setAttrName(java.lang.String attrName)`
`void` | `setDateFormatDef(JUFormattedTextFieldDef.DateFormatDef def)`
`void` | `setEditorName(java.lang.String name)`
`void` | `setMaskFormatDef(JUFormattedTextFieldDef.MaskFormatDef def)`
`void` | `setNumberFormatDef(JUFormattedTextFieldDef.NumberFormatDef def)`

Methods inherited from class oracle.jbo.uicli.jui.JUTableDef.JUEditorPropDef
`getDTClassName, getRTClassName, getXMLElementTag`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, initSubType, isDirty, isNew, loadFromXML, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PNAME_ActiveFormatter

    public static final java.lang.String PNAME_ActiveFormatter

  See Also:
    Constant Field Values

### DATE_FORMATTER

    public static final int DATE_FORMATTER

  See Also:
    Constant Field Values

### MASK_FORMATTER

    public static final int MASK_FORMATTER

  See Also:
    Constant Field Values

### DEFAULT_FORMATTER

    public static final int DEFAULT_FORMATTER

  See Also:
    Constant Field Values

### NUMBER_FORMATTER

    public static final int NUMBER_FORMATTER

  See Also:
    Constant Field Values

### REGEXP_FORMATTER

    public static final int REGEXP_FORMATTER

  See Also:
    Constant Field Values

Constructor Detail

### JUFormatEditorPropDef

    public JUFormatEditorPropDef()

Method Detail

### setAttrName

    public void setAttrName(java.lang.String attrName)

  Specified by:
    `setAttrName` in class `JUTableDef.JUEditorPropDef`

### getTableCellRenderer

    public JUTableCellRenderer getTableCellRenderer()

  Specified by:
    `getTableCellRenderer` in class `JUTableDef.JUEditorPropDef`

### getTableCellEditor

    public JUTableCellEditor getTableCellEditor()

  Specified by:
    `getTableCellEditor` in class `JUTableDef.JUEditorPropDef`

### getEditorName

    public java.lang.String getEditorName()

  Specified by:
    `getEditorName` in class `JUTableDef.JUEditorPropDef`

### setEditorName

    public void setEditorName(java.lang.String name)

### getActiveFormatter

    public int getActiveFormatter()

### setActiveFormatter

    public void setActiveFormatter(int activeFormatter)

### getDateFormatDef

    public JUFormattedTextFieldDef.DateFormatDef getDateFormatDef()

### setDateFormatDef

    public void setDateFormatDef(JUFormattedTextFieldDef.DateFormatDef def)

### getMaskFormatDef

    public JUFormattedTextFieldDef.MaskFormatDef getMaskFormatDef()

### setMaskFormatDef

    public void setMaskFormatDef(JUFormattedTextFieldDef.MaskFormatDef def)

### getNumberFormatDef

    public JUFormattedTextFieldDef.NumberFormatDef getNumberFormatDef()

### getRegExpFormatDef

    public JUFormattedTextFieldDef.RegExpFormatDef getRegExpFormatDef()

### setNumberFormatDef

    public void setNumberFormatDef(JUFormattedTextFieldDef.NumberFormatDef def)

### init

    public void init(java.util.HashMap initValues)

  Overrides:
    `init` in class `JUTableDef.JUEditorPropDef`

### loadChildrenFromXML

    public void loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

  Overrides:
    `loadChildrenFromXML` in class `DCDefBase`

### retrieveFromXML

    protected void retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement,
                                   java.util.HashMap valueTab)

  Overrides:
    `retrieveFromXML` in class `JUTableDef.JUEditorPropDef`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.